Package com.enonic.xp.node

## Enum PushNodesResult.Reason

- java.lang.Object
- - java.lang.Enum<PushNodesResult.Reason>
  - - com.enonic.xp.node.PushNodesResult.Reason

- All Implemented Interfaces:
    `Serializable`, `Comparable<PushNodesResult.Reason>`
  Enclosing class:
    PushNodesResult

      public static enum PushNodesResult.Reason
      extends Enum<PushNodesResult.Reason>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACCESS_DENIED` |
    `ALREADY_EXIST` |
    `PARENT_NOT_FOUND` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PushNodesResult.Reason` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PushNodesResult.Reason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALREADY_EXIST

          public static final PushNodesResult.Reason ALREADY_EXIST

    - #### PARENT_NOT_FOUND

          public static final PushNodesResult.Reason PARENT_NOT_FOUND

    - #### ACCESS_DENIED

          public static final PushNodesResult.Reason ACCESS_DENIED

  - ### Method Detail

    - #### values

          public static PushNodesResult.Reason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PushNodesResult.Reason c : PushNodesResult.Reason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PushNodesResult.Reason valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null